Affichage des résultats 1 à 19 sur 19

Discussion: Epées batardes nécessitant la compétence martiale des Masses.

  1. #1
    Date d'inscription
    juillet 2011
    Localisation
    Carcassonne
    Messages 
    266

    Epées batardes nécessitant la compétence martiale des Masses.

    Bonjour,

    Sur ma partie, je constate pour la seconde fois que certaines épées bâtardes se retrouvent à utiliser les compétences des masses ; j'avais eu le même problème avec l'épée +1, +3 contre métamorphe (voir image).

    Quelqu'un sait-il d'où vient ce bug?
    Epées batardes nécessitant la compétence martiale des Masses.-sword.jpg
    Weidu :

     Cliquer ici pour révéler le texte


    Edit : après avoir éplucher le EEKeeper, il semble que toutes les épées batardes soient désormais des morning stars...
    Dernière modification par Marvin ; 10/06/2020 à 21h52.

  2. #2
    Date d'inscription
    juillet 2012
    Localisation
    Banlieue parisienne
    Messages 
    1 168
    Citation Envoyé par Marvin Voir le message
    ...

    Edit : après avoir éplucher le EEKeeper, il semble que toutes les épées batardes soient désormais des morning stars...
    Première nouvelle, et ce n'est pas ce que je constate sur EEKeeper !
    L'homme est un loup pour l'homme et un caniche nain pour sa femme

  3. #3
    Date d'inscription
    juillet 2011
    Messages 
    198
    Je pense que le problème vient d'une incompatibilité entre mods. Tu as installé un composant 2160 de Tweaks Anthology qui change les catégories d'armes, ce qui est une très mauvaise idée vu que tu as déjà Item Revisions d'installé qui fait la même chose en mieux. Tu as utilisé un outil d'installation automatique des mods?

  4. #4
    Date d'inscription
    avril 2011
    Localisation
    Égaré dans un vortex entre Féérune et le Royaume de Diamant Éternel
    Messages 
    5 014
    Citation Envoyé par Marvin Voir le message
    ~FAITHS_AND_POWERS/FAITHS_AND_POWERS.TP2~ #0 #75 // Alter weapon usability and proficiency: 0.79.9
    Je n'ai jamais installé ce mod, mais l'intitulé de ce composant me fout la trouille et semble en relation avec ton problème.
    CARPE DIEM...
    Co-modérateur de La Forge et de La Chambre des Scribes
    Moddeur qui s'arrache les cheveux...

  5. #5
    Date d'inscription
    décembre 2007
    Localisation
    GAP, Hautes alpes
    Messages 
    2 167
    Le mod qui effectue ce changement a du changer le texte des épées pour l'adapter à leur nouvelles compétences. Donc tu dois pouvoir trouver le mod incriminé en trouvant le texte modifié dans le fichier .tra du mod.
    Utilise Notepad++ par exemple, il a la "recherche dans touts les textes d'un dossier et ses sous dossiers". Tu cherches dans les *.tra, tu cherches le texte "Silver blade: additionnal +4 bonus to damage", et tu trouveras le(s) fichie(s)r qui utilise(nt) ce texte
    Mon module de kits pour BG2, BGEE, BG2EE et IWDEE
    Mon module de magasin pour BG2 et BG2EE
    Mon module de magasin d'objets cheatés pour BG2, BGEE, BG2EE et IWDEE
    Tout autre chose, du contenu pour le jeu de société Munchkin

  6. #6
    Date d'inscription
    juillet 2011
    Localisation
    Carcassonne
    Messages 
    266
    Citation Envoyé par ZOLTAN Voir le message
    Première nouvelle, et ce n'est pas ce que je constate sur EEKeeper !
    Sur mon install, si! C'est justement le problème

    Je pense que le problème vient d'une incompatibilité entre mods. Tu as installé un composant 2160 de Tweaks Anthology qui change les catégories d'armes, ce qui est une très mauvaise idée vu que tu as déjà Item Revisions d'installé qui fait la même chose en mieux. Tu as utilisé un outil d'installation automatique des mods?
    Bien vu, c'est une erreur bête et c'est sans doute le problème...
    Je fais mes installations en manuel, à l'ancienne.

    Je n'ai jamais installé ce mod, mais l'intitulé de ce composant me fout la trouille et semble en relation avec ton problème.
    Ce composant permet uniquement aux prêtres d'utiliser plus d'armes selon leur divinité et de se spécialiser (2 étoiles) pour l'arme de prédilection du Dieu. Je ne pense pas que ça affecte mes épées bâtardes.

  7. #7
    Date d'inscription
    juillet 2011
    Messages 
    198
    Alors ça fait un moment que je ne fais plus mes installations manuellement justement pour gagner du temps et éviter ce genre de problèmes, mais il me semble que certains mods ne sont pas dans le bon ordre, et aussi que certains composants sont incompatibles. Tu risques de rencontrer ce genre de problèmes avec d'autres armes, il faut toujours éviter d'installer plusieurs mods qui touchent aux même choses pour ne pas avoir ce genre de bugs. Lis bien les readme avant d'installer quoi que ce soit et quitte à installer manuellement prends le temps de vérifier ce que fait chaque composant pour éviter les conflits. Il me semble entre autre qu'Item Revisions est installé très tard dans ta liste, normalement c'est un des premiers qui doit être installé.

    Il est possible que le composant relevé par freddy soit effectivement le problème, je n'ai jamais utilisé le mod faiths and powers, mais peut-être que le mod transforme justement les épées bâtardes en masse pour que les clercs puissent les utiliser ou qqch du genre.

    A ta place je referai une installation clean car il me semble aussi que certains mods ont été installés beaucoup trop tôt ou du moins pas dans le bon ordre, et je crois que certains composants de BGEEspawn et atweaks sont en conflit avec SCS. Ceci dit j'utilise toujours EET pour jouer à toute la trilogie sur le même jeu donc je ne suis pas un pro des installations uniquement sur BG1EE.

  8. #8
    Date d'inscription
    avril 2011
    Localisation
    Égaré dans un vortex entre Féérune et le Royaume de Diamant Éternel
    Messages 
    5 014
    Voici une note tirée du code du composant de Faiths and Powers :

    - Change bastard swords to #22 "morning star."
    Ailleurs, dans le même code, on trouve :

    - If IR is installed, change morning stars to #17 "maces," to match their proficiency. Now three 1-handed slots are freed up.
    CARPE DIEM...
    Co-modérateur de La Forge et de La Chambre des Scribes
    Moddeur qui s'arrache les cheveux...

  9. #9
    Date d'inscription
    juillet 2011
    Localisation
    Carcassonne
    Messages 
    266
    Citation Envoyé par Freddy_Gwendo Voir le message
    Voici une note tirée du code du composant de Faiths and Powers :



    Ailleurs, dans le même code, on trouve :
    Curieux... Je ne vois pas l'intérêt d'un composant pareil. D'autant que les Bams montrent des épées, et que les paperdolls montrent des masses. Je vais en parler à Subteldoctor pour voir ce qu'il en est...

    Merci en tout cas pour vos recherches.

  10. #10
    Date d'inscription
    juillet 2011
    Localisation
    Carcassonne
    Messages 
    266
    Après quelques tests et recherches, j'en arrive à la conclusion suivante :

    Le bug et provoqué par le fait d'installer le composant "FAITHS_AND_POWERS/FAITHS_AND_POWERS.TP2~ #0 #75 // Alter weapon usability and proficiency: 0.79.9" avant "~ITEM_REV/ITEM_REV.TP2~ #0 #17 // Weapon Changes: V4 Beta 10" ; dans l'autre sens tout va bien.

    Ce qui est assez pénible, car les readme ne mentionnent rien à se sujet, ou plutôt mentionnent uniquement que le composant "~ITEM_REV/ITEM_REV.TP2~ #0 #0 // Item Revisions by Demivrgvs: V4 Beta 10" doit être avant FnP...

    Là où c"est relou, c'est que dans le même temps, le composant ~ITEM_REV/ITEM_REV.TP2~ #0 #1030 // Store Revisions: V4 Beta" 10 doit être après FnP... Bref, c'est un coup à s'arracher les cheveux...

  11. #11
    Date d'inscription
    avril 2011
    Localisation
    Égaré dans un vortex entre Féérune et le Royaume de Diamant Éternel
    Messages 
    5 014
    C'est un problème récurrent avec les nouveaux moddeurs. Ils profitent des possibilités du nouveau moteur du jeu pour vouloir systématiquement adapter les règles de D&D3 et plus à un jeu utilisant une adaptation des règles de AD&D2.

    Résultat des courses, ça fout le boxon avec les anciens mods - pourtant stables -, et il devient quasi impossible de faire des installations jouables sans savoir bidouiller le code.

    On retourne à l'époque où certains moddeurs ne se souciaient pas de compatibilité en prétextant que seul leur mod valait le coup. Funeste retour en arrière...

    À SHS, on a pris le parti d'ignorer ce type de mods lors des mises à jour pour ne pas passer des mois à mettre à jour d'anciens mods alors qu'une bonne semaine de travail suffit pour régler leurs éventuels bugs et les rendre totalement compatibles avec les autres mods "sérieux" et les jeux EE.
    CARPE DIEM...
    Co-modérateur de La Forge et de La Chambre des Scribes
    Moddeur qui s'arrache les cheveux...

  12. #12
    Date d'inscription
    juillet 2011
    Messages 
    198
    SI tu veux éviter ce genre de problèmes il y a des outils d'installation automatique (tu choisis quand même les composants toi-même) qui installent les mods dans le bon ordre pour éviter ce genre d'incompatibilité. Et il y a également beaucoup de forums dédiés à l'ordre d'installation des mods. Quoi qu'il en soit Item Revision et Spell Revisions font partie des mods qu'il faut installer en premier à quelques exceptions près.

  13. #13
    Date d'inscription
    avril 2011
    Localisation
    Égaré dans un vortex entre Féérune et le Royaume de Diamant Éternel
    Messages 
    5 014
    Une autre règle simple concernant ces mods qui modifient les règles du jeu : n'en installer qu'un !

    Comme je l'ai mentionné plus haut, leurs auteurs considèrent que ce sont des "must" indispensables et se soucient guère des problèmes de compatibilité.
    CARPE DIEM...
    Co-modérateur de La Forge et de La Chambre des Scribes
    Moddeur qui s'arrache les cheveux...

  14. #14
    Date d'inscription
    juillet 2011
    Localisation
    Carcassonne
    Messages 
    266
    Citation Envoyé par LeLouce Voir le message
    SI tu veux éviter ce genre de problèmes il y a des outils d'installation automatique (tu choisis quand même les composants toi-même) qui installent les mods dans le bon ordre pour éviter ce genre d'incompatibilité. Et il y a également beaucoup de forums dédiés à l'ordre d'installation des mods. Quoi qu'il en soit Item Revision et Spell Revisions font partie des mods qu'il faut installer en premier à quelques exceptions près.
    J'ai essayé le EE tools quelque chose de Roxanne, et j'ai abandonné très vite pour plusieurs raisons : 1) c'est Roxanne....... 2) Les versions des mods sont généralement désuètes, généralement la pénultième et 3) nombreux mods ne sont pas présents, ou alors pas tous leurs composants.

    J'ai fais dans le passé des méga-installs manuelles avec plusieurs méga-mods et même Big Pictures et SCS ensemble, le tout sans bug majeur. Aujourd'hui je suis raisonnable, et je me cantonne à quelques must. Cela dit, j'ai voulu tester FnP qui bien qu'encore en béta, apporte pas mal de bonne idées que j'apprécie.

    Je n'ai volontairement pas installé EET cette fois ci pour tester la stabilité de mon installation et essayer FnP ; en gros faire mes erreurs avant la vrai partie.

    Une autre règle simple concernant ces mods qui modifient les règles du jeu : n'en installer qu'un !

    Comme je l'ai mentionné plus haut, leurs auteurs considèrent que ce sont des "must" indispensables et se soucient guère des problèmes de compatibilité.
    Je partage ce point de vu ; et on a vite fait le tour pour savoir que les must ne sont pas légion...

  15. #15
    Date d'inscription
    juillet 2011
    Messages 
    198
    Citation Envoyé par Marvin Voir le message
    J'ai essayé le EE tools quelque chose de Roxanne, et j'ai abandonné très vite pour plusieurs raisons : 1) c'est Roxanne....... 2) Les versions des mods sont généralement désuètes, généralement la pénultième et 3) nombreux mods ne sont pas présents, ou alors pas tous leurs composants.
    C'est quoi le problème avec Roxanne exactement? J'ai l'impression qu'elle (il?) n'est pas très aimée, je me suis fait tacler par DavidW l'auteur de Stratagems à son sujet une fois, et de ce que j'ai vu sur un forum c'est parce que quand elle avait sorti son mod Sandrah elle avait créé de faux comptes pour en faire de la pub. C'est de là que part la haine envers elle ou il y a autre chose? Car à chaque fois que j'ai eu un souci avec son programme elle m'a répondu super vite et apporté des solutions.
    Sur ma dernière installation j'ai aussi fait une installation manuelle car certains composants de Stratagems ne s'installaient pas sinon, mais sinon j'ai l'impression qu'au contraire les versions de mods sont mis à jour quasi quotidiennement et que seuls les composants bugués ne sont pas présents. Avant j'utilisais son outil très souvent mais je comprends que ça ne plaise pas à tout le monde.

  16. #16
    Avatar de missElder
    missElder est déconnecté entend la belette chanter
    Date d'inscription
    mars 2010
    Localisation
    Paris
    Messages 
    2 417
    En faisant une petite recherche simple ("roxanne" dans la barre de recherche du forum) tu as déjà quelques réponses de jazira et Freddy dans les posts suivants : ici et messages suivants ([CHLOE] Chloé en français !), ici et posts suivants (Y a-t-il des mods qui nécessitent une mise à jour de leur traduction ?), et ici et messages suivants (Project Infinity).

    (je ne connais rien au modding de BG mais je me dis que ça peut aider Freddy et jazira de ne pas avoir à se répéter tout le temps, donc je me permets d'intervenir )
    En RP, Eldrina s'exprime en 3DB220.
    Modératrice des sections The Witcher et Divinity, et super-modo à mes heures perdues.
    Always look on the bright side of life.

  17. #17
    Date d'inscription
    juillet 2011
    Messages 
    198
    Merci pour les infos effectivement je commence à comprendre l'ampleur du problème, maintenant je comprends pourquoi l'auteur de Stratagems m'avait envoyé paître en me disant que mon bug sur son mod venait du fait que je l'avais installé avec l'outil de Roxanne.
    Moi qui voulais tester les mods de Roxanne ça ne me donne plus trop envie du coup.

  18. #18
    Date d'inscription
    juillet 2011
    Localisation
    Carcassonne
    Messages 
    266
    En complément de ce qui a été dit précédemment, il y a encore des casseroles qu'elle se trainent : https://www.gibberlings3.net/forums/...tower-trailer/

  19. #19
    Date d'inscription
    avril 2011
    Localisation
    Égaré dans un vortex entre Féérune et le Royaume de Diamant Éternel
    Messages 
    5 014
    Je n'ai pas cité cette histoire sur la Couronne pour ne pas relancer le bouzin. J'y ai répondu officiellement sur SHS et sur Beambog, en tant que "SHS Staff", puisque le mod était développé sur ce site : là, elle a dépassé les bornes puisqu'il s'agit purement et simplement de vol.
    CARPE DIEM...
    Co-modérateur de La Forge et de La Chambre des Scribes
    Moddeur qui s'arrache les cheveux...

Discussions similaires

  1. [BG1][AVIS] Compétences martiale des pnj
    Par Biem-As-Ul dans le forum La Taverne de Château-Suif (Baldur's Gate 1)
    Réponses: 82
    Dernier message: 05/03/2020, 19h58
  2. [BG2EE] Spécialisation martiale du guerrier
    Par Smidge dans le forum BG2:EE
    Réponses: 2
    Dernier message: 16/11/2013, 09h54
  3. [BP] Les points de spécialisation martiale
    Par Marvin dans le forum Méga-mods : Big Picture, The Darkest Day, Shadow Over Soubar, Tortured Souls, Check The Bodies,
    Réponses: 7
    Dernier message: 14/07/2011, 22h10
  4. [BG1][SOLUCE] Changement de niveau et points de compétence martiale
    Par dyn'yon dans le forum La Taverne de Château-Suif (Baldur's Gate 1)
    Réponses: 4
    Dernier message: 14/11/2009, 19h44
  5. [AVIS] Progression martiale
    Par Agifem dans le forum La Taverne d'Amkethran (Baldur's Gate 2)
    Réponses: 10
    Dernier message: 14/05/2008, 11h00

Règles de messages

  • Vous ne pouvez pas créer de nouvelles discussions
  • Vous ne pouvez pas envoyer des réponses
  • Vous ne pouvez pas envoyer des pièces jointes
  • Vous ne pouvez pas modifier vos messages
  •  

1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158 159 160 161 162 163 164 165 166 167 168 169 170 171 172 173 174 175 176 177 178 179 180 181 182 183 184 185 186 187 188 189 190 191 192 193 194 195 196 197 198 199 200 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222 223 224 225 226 227 228 229 230 231 232 233 234 235 236 237 238 239 240 241 242 243 244 245 246 247 248 249 250 251